CUDNN Frontend API 8.3.0

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
cudnn_frontend::EngineHeuristics_v8 Class Reference

`#include <cudnn_frontend_Heuristics.h>`

Inheritance diagram for cudnn_frontend::EngineHeuristics_v8:
Collaboration diagram for cudnn_frontend::EngineHeuristics_v8:

## Public Member Functions
std::string | describe () const override
| Return a string describing the backend Descriptor. More...
| EngineHeuristics_v8 (EngineHeuristics_v8 &&from)=default
EngineHeuristics_v8 & | operator= (EngineHeuristics_v8 &&from)=default
| ~EngineHeuristics_v8 ()=default
auto | getEngineConfig (int64_t count=1) -> std::vector< ManagedOpaqueDescriptor > &
| Query the total count of the engines for the Operation Set. More...
auto | getEngineConfigCount (void) const -> int64_t
| Query the total count of the engine config for the Operation Set. More...
Public Member Functions inherited from cudnn_frontend::BackendDescriptor
cudnnBackendDescriptor_t | get_raw_desc () const
cudnnStatus_t | get_status () const
| Current status of the descriptor. More...
void | set_status (cudnnStatus_t const status_) const
| Set status of the descriptor. More...
void | set_error (const char *message) const
| Set Diagonistic error message. More...
const char * | get_error () const
| Diagonistic error message if any. More...
ManagedOpaqueDescriptor | get_desc () const
| Returns a copy of underlying managed descriptor. More...
cudnnStatus_t | initialize_managed_backend_pointer (cudnnBackendDescriptorType_t type)
| Initializes the underlying managed descriptor. More...

## Private Member Functions
| EngineHeuristics_v8 ()=default
| EngineHeuristics_v8 (EngineHeuristics_v8 const &)=delete
EngineHeuristics_v8 & | operator= (EngineHeuristics_v8 const &)=delete

## Private Attributes
cudnnBackendHeurMode_t | mode = CUDNN_HEUR_MODE_INSTANT
ManagedOpaqueDescriptor | opGraph = nullptr
std::vector< ManagedOpaqueDescriptor > | m_heuristic_results
std::string | opGraphTag
| storage of heuristic results More...

## Friends
class | EngineHeuristicsBuilder_v8

## Additional Inherited Members
Protected Member Functions inherited from cudnn_frontend::BackendDescriptor
| BackendDescriptor (ManagedOpaqueDescriptor pointer_, cudnnStatus_t status_, std::string err_msg_)
| BackendDescriptor ()=default
Protected Attributes inherited from cudnn_frontend::BackendDescriptor
ManagedOpaqueDescriptor | pointer
cudnnStatus_t | status = CUDNN_STATUS_SUCCESS
| Shared pointer of the OpaqueBackendPointer. More...
std::string | err_msg
| Error message if any being set. More...

## Detailed Description

Engine Heuristic Class This class helps determine the engine from the operation graph based on the heuristics Properties:

- heuristic mode
- operation graph

Use EngineHeuristicsBuilder_v8 to build this class. Describe returns a string describing the EngineHeuristics_v8 class

Definition at line 47 of file cudnn_frontend_Heuristics.h.

## Constructor & Destructor Documentation

## ◆ EngineHeuristics_v8() [1/3]

cudnn_frontend::EngineHeuristics_v8::EngineHeuristics_v8 | ( | EngineHeuristics_v8 && | from | ) |
| default

## ◆ ~EngineHeuristics_v8()

cudnn_frontend::EngineHeuristics_v8::~EngineHeuristics_v8 | ( |  | ) |
| default

Referenced by describe().

## ◆ EngineHeuristics_v8() [2/3]

cudnn_frontend::EngineHeuristics_v8::EngineHeuristics_v8 | ( |  | ) |
| privatedefault

Referenced by describe(), and getEngineConfigCount().

## ◆ EngineHeuristics_v8() [3/3]

cudnn_frontend::EngineHeuristics_v8::EngineHeuristics_v8 | ( | EngineHeuristics_v8 const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ describe()

std::string cudnn_frontend::EngineHeuristics_v8::describe | ( |  | ) | const
| inlineoverridevirtual

Return a string describing the backend Descriptor.

Implements cudnn_frontend::BackendDescriptor.

Definition at line 51 of file cudnn_frontend_Heuristics.h.

References EngineHeuristics_v8(), operator=(), and ~EngineHeuristics_v8().

## ◆ operator=() [1/2]

EngineHeuristics_v8& cudnn_frontend::EngineHeuristics_v8::operator= | ( | EngineHeuristics_v8 && | from | ) |
| default

Referenced by cudnn_frontend::EngineHeuristicsBuilder_v8::build(), describe(), and getEngineConfigCount().

## ◆ operator=() [2/2]

EngineHeuristics_v8& cudnn_frontend::EngineHeuristics_v8::operator= | ( | EngineHeuristics_v8 const & |  | ) |
| privatedelete

## Friends And Related Function Documentation

## ◆ EngineHeuristicsBuilder_v8

friend class EngineHeuristicsBuilder_v8
| friend

Definition at line 49 of file cudnn_frontend_Heuristics.h.

Referenced by cudnn_frontend::EngineHeuristicsBuilder_v8::build(), and cudnn_frontend::get_heuristics_list().

## Member Data Documentation

## ◆ m_heuristic_results

std::vector<ManagedOpaqueDescriptor> cudnn_frontend::EngineHeuristics_v8::m_heuristic_results
| private

Definition at line 130 of file cudnn_frontend_Heuristics.h.

Referenced by getEngineConfig().

## ◆ mode

cudnnBackendHeurMode_t cudnn_frontend::EngineHeuristics_v8::mode = CUDNN_HEUR_MODE_INSTANT
| private

Definition at line 128 of file cudnn_frontend_Heuristics.h.

Referenced by cudnn_frontend::get_heuristics_list().

## ◆ opGraph

ManagedOpaqueDescriptor cudnn_frontend::EngineHeuristics_v8::opGraph = nullptr
| private

Definition at line 129 of file cudnn_frontend_Heuristics.h.

## ◆ opGraphTag

std::string cudnn_frontend::EngineHeuristics_v8::opGraphTag
| private

storage of heuristic results

Definition at line 131 of file cudnn_frontend_Heuristics.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_Heuristics.h